#include <iostream>

using namespace std;

double cifara(int n)
{
    double cifara=1;
    while(n>9)
    {
        cifara++;
        n=n/10;
    }
    return cifara;
}
double con(int cifaraa, int cifarab)
{
    double n, con=1;
    n=cifaraa+cifarab;
    for(int i=0; i<n; i++)
    {
        con=con*10;
    }
    return con;
}
double con1(int cifaraa)
{
    double n, con=1;
    for(int i=0; i<cifaraa; i++)
    {
        con=con*10;
    }
    return con;
}

int main()
{
    double a, b, c, cifaraa, cifarab, cifarac, prvi, drugi, treci, cetvrti, peti, sesti, maks=0;
    double d[6];
    cin>>a>>b>>c;
    cifaraa=cifara(a);
    cifarab=cifara(b);
    cifarac=cifara(c);
    prvi=a*con(cifarab,cifarac)+b*con1(cifarac)+c;
    d[0]=prvi;
    drugi=a*con(cifarab,cifarac)+c*con1(cifarab)+b;
    d[1]=drugi;
    treci=b*con(cifaraa,cifarac)+a*con1(cifarac)+c;
    d[2]=treci;
    cetvrti=b*con(cifaraa,cifarac)+c*con1(cifaraa)+a;
    d[3]=cetvrti;
    peti=c*con(cifarab,cifaraa)+b*con1(cifaraa)+a;
    d[4]=peti;
    sesti=c*con(cifarab,cifaraa)+a*con1(cifarab)+b;
    d[5]=sesti;
    for(int i=0; i<6; i++)
    {
        if(d[i]>maks)
        {
            maks=d[i];
        }
    }
    cout<<maks<<endl;
    return 0;
}